# Event

Events - like actions - model dynamic entities that couple various static entities at a certain moment in time. Events are used for either real-time updates, or updates on earlier provided data. Notice that in both event types these are updates on earlier provided data, whereas actions are usually used together with the entities they dynamically couple.

## Update event

 - [PUT /event](https://docs.transportial.com/apis/event/update:event.md): Update a event

## Create event

 - [POST /event](https://docs.transportial.com/apis/event/create:event.md): Create a new event

## Get events

 - [GET /events/{offset}/{amount}](https://docs.transportial.com/apis/event/create:events.md): Get list of events

## Get events

 - [POST /events/{offset}/{amount}](https://docs.transportial.com/apis/event/search:events.md): Get list of events

## Get event

 - [GET /event/{id}](https://docs.transportial.com/apis/event/get:event.md): Get a event on id

## Delete event

 - [DELETE /event/{id}](https://docs.transportial.com/apis/event/delete:event.md): Delete a event

